class openstack::profile::galera{

  $galera_servers = $openstack::config::cluster_hosts_ip
  $galera_master = $openstack::config::galera_master
  $root_password = $openstack::config::mysql_root_password
  $status_password = $openstack::config::mysql_root_password
  $mysql_port = 3306
  
  $bind_address = '0.0.0.0'
  $vendor = $openstack::config::mysql_vendor
  
  $galera_package_name_internal = 'galera-3'
  
  class { 'galera::repo':
     apt_mariadb_repo_key => '0xcbcb082a1bb943db',
     apt_mariadb_repo_key_server => 'hkp://keyserver.ubuntu.com:80',
  }

  class { 'galera':
    galera_servers => $galera_servers,

    galera_master  => $galera_master,
    vendor_type => $vendor, # default is 'percona'
    root_password => $root_password,
    status_password => $status_password,

    mysql_port => 3306,
    wsrep_state_transfer_port => 4444,
    wsrep_inc_state_transfer_port => 4568,

    wsrep_group_comm_port => 4567,

    override_options => {
        'mysqld' => {
            'bind_address' => $ipaddress_eth0,
        }
    }
  }
}
